%define oname   Ascii85

Name:       ruby-%{oname}
Version:    2.0.1
Release:    %mkrel 1
Summary:    Provides methods for encoding/decoding Adobe's binary-to-text encoding
Group:      Development/Ruby
License:    MIT
URL:        http://ascii85.rubyforge.org
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: locales
BuildArch:  noarch

%description
Ascii85 is a simple gem that provides methods for encoding/decoding Adobe's
binary-to-text encoding of the same name.
See https://www.adobe.com/products/postscript/pdfs/PLRM.pdf page 131 and
https://en.wikipedia.org/wiki/Ascii85 for more information about the format.

%files
%{_bindir}/ascii85
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Wed Dec 04 2024 pterjan <pterjan> 2.0.1-1.mga10
+ Revision: 2120933
- Update to 2.0.1

* Fri Mar 18 2022 pterjan <pterjan> 1.1.0-1.mga9
+ Revision: 1798501
- Update to 1.1.0

* Wed Feb 12 2020 umeabot <umeabot> 1.0.3-3.mga8
+ Revision: 1507640
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.0.3-2.mga7
+ Revision: 1290781
- Mageia 7 Mass Rebuild

* Sun Apr 01 2018 pterjan <pterjan> 1.0.3-1.mga7
+ Revision: 1214106
- Update to 1.0.3

* Wed Oct 19 2016 pterjan <pterjan> 1.0.2-12.mga6
+ Revision: 1062498
- Use gem_setup

* Sat Feb 06 2016 umeabot <umeabot> 1.0.2-11.mga6
+ Revision: 940210
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-10.mga5
+ Revision: 748433
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-9.mga5
+ Revision: 688737
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.0.2-8.mga4
+ Revision: 562827
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 1.0.2-7.mga4
+ Revision: 561005
- 'Fix gem macros'

* Sat Oct 19 2013 umeabot <umeabot> 1.0.2-6.mga4
+ Revision: 535258
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.0.2-5.mga4
+ Revision: 481804
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 09 2013 pterjan <pterjan> 1.0.2-4.mga4
+ Revision: 476722
- Fix file list
+ fwang <fwang>
- drop old gemspec file

* Fri Feb 08 2013 umeabot <umeabot> 1.0.2-3.mga3
+ Revision: 395698
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 380595
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 1.0.2-1.mga3
+ Revision: 312388
- update file list
- br locales
- use utf-8
- new version 1.0.2

* Sat Aug 11 2012 shlomif <shlomif> 1.0.1-1.mga3
+ Revision: 280711
- New version

* Tue Jan 25 2011 shikamaru <shikamaru> 1.0.0-2.mga1
+ Revision: 39581
- rebuild for new rubygems.rb

* Mon Jan 24 2011 shikamaru <shikamaru> 1.0.0-1.mga1
+ Revision: 37830
- imported package ruby-Ascii85

